## com.imcode.imcms.api.contrib
Class TestDateTextFieldTextDocumentComparator

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.imcode.imcms.api.contrib.TestDateTextFieldTextDocumentComparator

All Implemented Interfaces:
  junit.framework.Test

    public class TestDateTextFieldTextDocumentComparator

extends junit.framework.TestCase

Field Summary
`static int` `TEXT_FIELD_INDEX`

Constructor Summary
`TestDateTextFieldTextDocumentComparator()`

Method Summary
`protected void` `setUp()`
`void` `testCompare()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TEXT_FIELD_INDEX

    public static final int TEXT_FIELD_INDEX

See Also:
  Constant Field Values

Constructor Detail

### TestDateTextFieldTextDocumentComparator

    public TestDateTextFieldTextDocumentComparator()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `java.lang.Exception`

### testCompare

    public void testCompare()